org.apache.xmlbeans

## Interface XmlString

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    XmlENTITY, XmlID, XmlIDREF, XmlLanguage, XmlName, XmlNCName, XmlNMTOKEN, XmlNormalizedString, XmlToken
  All Known Implementing Classes:
    XmlEntityImpl, XmlIdImpl, XmlIdRefImpl, XmlLanguageImpl, XmlNameImpl, XmlNCNameImpl, XmlNmTokenImpl, XmlNormalizedStringImpl, XmlStringEnumeration, XmlStringImpl, XmlStringRestriction, XmlTokenImpl

      public interface XmlString
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:string type.

  A basic string in XML schema is not whitespace normalized. If you want your string type to be insensitive to variations in runs of whitespace, consider using xs:token (aka `XmlToken`) instead. To forbid whitespace and permit just alphanumeric and other common identifier characters consider xs:NMTOKEN (aka `XmlNMTOKEN`) instead.

  Convertible to `String`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlString>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlString> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.